#include "ot4xb.ch"
//----------------------------------------------------------------------------------------------------------------------
proc main()
local db := TSqLiteDb():Open("test.db")  
local n
local stm,aa         
                                         
// init random generator                                         
@msvcrt:srand( @kernel32:GetTickCount() )



if !db:lIsTable("t")    
   db:execA( "CREATE TABLE t (id integer PRIMARY KEY AUTOINCREMENT UNIQUE, rnd,uuid,memo)" )
end
for n := 1 to 100
   ? n
   stm := db:exec_begin("INSERT INTO t(rnd,uuid,memo)  VALUES (:rnd,:uuid,:memo)")  
   db:bind_int(stm,":rnd", @msvcrt:rand() )
   db:bind_textA(stm ,":uuid",cUuidCreateName())
   db:bind_blob(stm,":memo", cGenRndStr( 0x100000 ) ) // 1MB of binary random text
   db:exec_end(stm)
next       
aa := db:execA( "SELECT id,rnd,uuid,length(memo) FROM t" )
for n := 1 to len(aa)
  ? aa[n][1] ,"  ",aa[n][2] ,"  ",aa[n][3] ,"  ",aa[n][4]
next


db:Close()
inkey(0)
return